# exclude private provides
%define __provides_exclude_from	^%{_libdir}/%{name}/plugins/.*\.so$

Name:		qstardict
Version:	1.4.1
Release:	%mkrel 1
Summary:	StarDict clone written using Qt5
License:	GPLv3+
Group:		Office/Dictionary
URL:		https://qstardict.ylsoftware.com/
Source0:	https://qstardict.ylsoftware.com/files/%{name}-%{version}.tar.gz
# https://notabug.org/a-rodin/qstardict

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libzim)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	qttools5
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)

%description
QStarDict is a dictionary application for learning foreign
languages written using Qt.

Main features:

 * Support of Kiwix dictionaries
 * Support of StarDict 2.x and 3.x dictionaries
 * Background mode
 * Showing translations for words selected by mouse in any
   application in a popup window
 * Pronuncation of words


#----------------------------------------------------

%prep
%autosetup

%build
%qmake_qt5 \
	PLUGINS_DIR=%{_libdir}/%{name}/plugins \
	QMAKE_LRELEASE=%{_qt5_bindir}/lrelease
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

rm -fr %{buildroot}%{_docdir}/%{name}/COPYING

%files
%doc AUTHORS ChangeLog README THANKS docs/*
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Wed Dec 27 2023 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 2022072
- new version: 1.4.1

* Tue Dec 05 2023 daviddavid <daviddavid> 1.4-2.mga10
+ Revision: 2013228
- rebuild for new libzim 9.0.0

* Tue Dec 05 2023 daviddavid <daviddavid> 1.4-1.mga10
+ Revision: 2013175
- new version: 1.4
- new Kiwix plugin
- now support StarDict 3.x dictionaries
- Anki and KDE plugins was removed upstream

* Wed Apr 06 2022 umeabot <umeabot> 1.3-6.mga9
+ Revision: 1845628
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.3-5.mga8
+ Revision: 1659552
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.3-4.mga8
+ Revision: 1525735
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.3-3.mga7
+ Revision: 1384273
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1300679
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1197316
- initial package qstardict

